org.codehaus.groovy.ast.expr

## Class PostfixExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.PostfixExpression

    public class PostfixExpression
    extends Expression

Represents a postfix expression like foo++ or bar++

Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`PostfixExpression(Expression expression, Token operation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Expression` `getExpression()`
`Token` `getOperation()`
`java.lang.String` `getText()`
`ClassNode` `getType()`
`void` `setExpression(Expression expression)`
`java.lang.String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PostfixExpression

    public PostfixExpression(Expression expression,
                             Token operation)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### setExpression

    public void setExpression(Expression expression)

#### getOperation

    public Token getOperation()

#### getExpression

    public Expression getExpression()

#### getText

    public java.lang.String getText()

Overrides:
  `getText` in class `ASTNode`

#### getType

    public ClassNode getType()

Overrides:
  `getType` in class `Expression`